Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.codec.changepoll
Class EPPChangeOperation

    java.lang.Object
      com.verisign.epp.codec.changepoll.EPPChangeOperation

All Implemented Interfaces:
  EPPCodecComponent, java.io.Serializable, java.lang.Cloneable

    public class EPPChangeOperation

extends java.lang.Object
implements EPPCodecComponent

Transform operation executed on the object. The operation value should match one of the `OPERATION` constants and the "op" attribute can be set via the ``setOp(String)` method to handle specific cases.`

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `ELM_LOCALNAME` Constant for the phase local name
`static java.lang.String` | `ELM_NAME` Constant for the phase qualified name (prefix and local name)
`static java.lang.String` | `OPERATION_AUTO_DELETE` Auto delete operation executed by the server.
`static java.lang.String` | `OPERATION_AUTO_PURGE` Auto purge operation executed by the server.
`static java.lang.String` | `OPERATION_AUTO_RENEW` Auto renew operation executed by the server.
`static java.lang.String` | `OPERATION_CREATE` Create operation as defined in `RFC 5730`.
`static java.lang.String` | `OPERATION_CUSTOM` Custom operation.
`static java.lang.String` | `OPERATION_DELETE` Delete operation as defined in `RFC 5730`.
`static java.lang.String` | `OPERATION_RENEW` Renew operation as defined in `RFC 5730`.
`static java.lang.String` | `OPERATION_RESTORE` Update operation as defined in `RFC 3915`.
`static java.lang.String` | `OPERATION_TRANSFER` Transfer operation as defined in `RFC 5730`.
`static java.lang.String` | `OPERATION_UPDATE` Update operation as defined in `RFC 5730`.

Constructor Summary
`EPPChangeOperation()` Default constructor.
`EPPChangeOperation(java.lang.String aValue)` Create `EPPChangeOperation` instance with a defined operation value.
`EPPChangeOperation(java.lang.String aValue, java.lang.String aOp)` Create `EPPChangeOperation` instance with a defined operation value and the optional "op" attribute that defines either the sub-operation or the name of the operation when the operation value is set to `OPERATION_CUSTOM`.

Method Summary
`java.lang.Object` | `clone()` Clone `EPPChangeOperation` instance.
`void` | `decode(org.w3c.dom.Element aElement)` Decode the `EPPChangeOperation` element aElement DOM Element tree.
`org.w3c.dom.Element` | `encode(org.w3c.dom.Document aDocument)` Encode a DOM Element tree from the attributes of the `EPPChangeOperation` instance.
`boolean` | `equals(java.lang.Object aObject)` Implements a deep `EPPChangeOperation` compare.
`java.lang.String` | `getOp()` Gets the OPTIONAL "op" attribute value, which defines the sub-operation or name of the operation when the operation value is set to `OPERATION_CUSTOM`.
`java.lang.String` | `getValue()` Gets the operation value, which should be one of the `OPERATION` constants.
`boolean` | `hasOp()` Is the "op" attribute defined?
`boolean` | `hasValue()` Is the operation value defined?
`void` | `setOp(java.lang.String aOp)` Sets the OPTIONAL "op" attribute value.
`void` | `setValue(java.lang.String aValue)` Sets the operation value.
`java.lang.String` | `toString()` Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### OPERATION_CREATE

    public static final java.lang.String OPERATION_CREATE

  Create operation as defined in `RFC 5730`.

  See Also:
    Constant Field Values

### OPERATION_DELETE

    public static final java.lang.String OPERATION_DELETE

  Delete operation as defined in `RFC 5730`.

  See Also:
    Constant Field Values

### OPERATION_RENEW

    public static final java.lang.String OPERATION_RENEW

  Renew operation as defined in `RFC 5730`.

  See Also:
    Constant Field Values

### OPERATION_TRANSFER

    public static final java.lang.String OPERATION_TRANSFER

  Transfer operation as defined in `RFC 5730`.

  See Also:
    Constant Field Values

### OPERATION_UPDATE

    public static final java.lang.String OPERATION_UPDATE

  Update operation as defined in `RFC 5730`.

  See Also:
    Constant Field Values

### OPERATION_RESTORE

    public static final java.lang.String OPERATION_RESTORE

  Update operation as defined in `RFC 3915`.

  See Also:
    Constant Field Values

### OPERATION_AUTO_RENEW

    public static final java.lang.String OPERATION_AUTO_RENEW

  Auto renew operation executed by the server.

  See Also:
    Constant Field Values

### OPERATION_AUTO_DELETE

    public static final java.lang.String OPERATION_AUTO_DELETE

  Auto delete operation executed by the server.

  See Also:
    Constant Field Values

### OPERATION_AUTO_PURGE

    public static final java.lang.String OPERATION_AUTO_PURGE

  Auto purge operation executed by the server.

  See Also:
    Constant Field Values

### OPERATION_CUSTOM

    public static final java.lang.String OPERATION_CUSTOM

  Custom operation.

  See Also:
    Constant Field Values

### ELM_LOCALNAME

    public static final java.lang.String ELM_LOCALNAME

  Constant for the phase local name

  See Also:
    Constant Field Values

### ELM_NAME

    public static final java.lang.String ELM_NAME

  Constant for the phase qualified name (prefix and local name)

  See Also:
    Constant Field Values

Constructor Detail

### EPPChangeOperation

    public EPPChangeOperation()

  Default constructor. The operation value MUST be set using the `setValue(String)` method.

### EPPChangeOperation

    public EPPChangeOperation(java.lang.String aValue)

  Create `EPPChangeOperation` instance with a defined operation value.

  Parameters:
    `aValue` - Operation value using one of the `OPERATION` constants.

### EPPChangeOperation

    public EPPChangeOperation(java.lang.String aValue,
                              java.lang.String aOp)

  Create `EPPChangeOperation` instance with a defined operation value and the optional "op" attribute that defines either the sub-operation or the name of the operation when the operation value is set to `OPERATION_CUSTOM`.

  Parameters:
    `aValue` - Operation value using one of the `OPERATION` constants.
    `aOp` - Sub-operation or name of operation when `aValue` is set to `OPERATION_CUSTOM`.

Method Detail

### hasValue

    public boolean hasValue()

  Is the operation value defined?

  Returns:
    `true` if the operation value is defined; `false` otherwise.

### getValue

    public java.lang.String getValue()

  Gets the operation value, which should be one of the `OPERATION` constants.

  Returns:
    Operation value if defined; `null` otherwise.

### setValue

    public void setValue(java.lang.String aValue)

  Sets the operation value.

  Parameters:
    `aValue` - Operation value, which should be one of the `OPERATION` constants.

### hasOp

    public boolean hasOp()

  Is the "op" attribute defined?

  Returns:
    `true` if the "op" attribute is defined; `false` otherwise.

### getOp

    public java.lang.String getOp()

  Gets the OPTIONAL "op" attribute value, which defines the sub-operation or name of the operation when the operation value is set to `OPERATION_CUSTOM`.

  Returns:
    The "op" attribute value if defined; `null` otherwise.

### setOp

    public void setOp(java.lang.String aOp)

  Sets the OPTIONAL "op" attribute value.

  Parameters:
    `aOp` - "op" attribute value that defines the sub-operation or name of the operation when the operation value is set to `OPERATION_CUSTOM`.

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Clone `EPPChangeOperation` instance.

  Specified by:
    `clone` in interface `EPPCodecComponent`
  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    clone of `EPPChangeOperation`
  Throws:
    `java.lang.CloneNotSupportedException` - standard Object.clone exception

### decode

    public void decode(org.w3c.dom.Element aElement)
                throws EPPDecodeException

  Decode the `EPPChangeOperation` element aElement DOM Element tree.

  Specified by:
    `decode` in interface `EPPCodecComponent`
  Parameters:
    `aElement` - - Root DOM Element to decode `EPPChangeOperation` from.
  Throws:
    `EPPDecodeException` - Unable to decode aElement

### encode

    public org.w3c.dom.Element encode(org.w3c.dom.Document aDocument)
                               throws EPPEncodeException

  Encode a DOM Element tree from the attributes of the `EPPChangeOperation` instance.

  Specified by:
    `encode` in interface `EPPCodecComponent`
  Parameters:
    `aDocument` - - DOM Document that is being built. Used as an Element factory.
  Returns:
    Element - Root DOM Element representing the `EPPChangeOperation` instance.
  Throws:
    `EPPEncodeException` - - Unable to encode `EPPChangeOperation` instance.

### equals

    public boolean equals(java.lang.Object aObject)

  Implements a deep `EPPChangeOperation` compare.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `aObject` - `EPPChangeOperation` instance to compare with
  Returns:
    `true` if equal; `false` otherwise

### toString

    public java.lang.String toString()

  Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    Indented XML `String` if successful; `ERROR` otherwise.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.